package shooting;
import java.awt.*;
import java.awt.event.*;

/**
*Game Class
*Frame begins here
*Create Game Interface
*/
public class Game extends Frame
{
	/**
	 * Main Class
	 */
	public static void main(String args[])
	{
		//Create frame
		new Game();
	}
	
	/**
	 * Constructor(No argument required)
	 */
	Game()
	{
		//*** Initialize the window
		//Title
		super("Shooting Game");

		//Close Button Implementation
		addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent evt) {
                System.exit(0);
            }
        });
		
		setSize(500, 500);		//Window size

		//*** Initialize Canvas
		MyCanvas mc = new MyCanvas();
		add(mc);				//Add Canvas to Frame
		setVisible(true);		//Visualize Window
		//Initialize Game Data
		mc.init();
		//Create thread
		mc.initThread();
	}
}

