package shooting;
import java.awt.*;
import java.awt.event.*;

/**
*Game Object Virtual Class<p>
*Super Class for
*		Player Class
*		Enemy Class
*		Bullet Class
*		Particle Class
*/
public abstract class GameObject
{
	/**
	 * Instance activation flag
	*/
    public boolean active;
	/**
	 * x coordinate
	*/
	public double x;
	/**
	 * y coordinate
	*/
	public double y;

	/**
	 * move method for each loop
	 */
    abstract void move();

	/**
	 * draw method
	 */
    abstract void draw(Graphics g);
}

