package shooting;
import java.awt.*;
import java.awt.event.*;

/**
*	Bullet Class<p>
*	Manages player bullets
*	Movement, draw methods
*/
public class MyBullet extends GameObject
{
	/**
	 * constructor
	 */
	MyBullet()
	{
		active = false;
	}
	
	/**
	 * movement per step
	 */
	public void move()
	{
        y -= 15;
		//Deactivate when it is out of screen
		if ( (y < 0) )
		{
			active = false;
		}
	}
	
	/**
	 * draw
	 * called once per main loop
	 * @param g graphic handler
	 */
	public void draw(Graphics g)
	{
		g.setColor(Color.gray);
		g.drawRect((int)x-3, (int)y-10, (int)6, (int)20);
	}
	
	//Initialization
	public void activate(double ix, double iy)
	{
		x = ix;
		y = iy;
		active = true;			//Deactivation
	}
}

